Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81400 - /usr/include/net-snmp/library/snmp_parse_args.h won't compile.
Summary: /usr/include/net-snmp/library/snmp_parse_args.h won't compile.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-snmp
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 00:49 UTC by Dale Lovelace
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 17:52:29 UTC


Attachments (Terms of Use)

Description Dale Lovelace 2003-01-09 00:49:36 UTC
Description of problem:

/usr/include/net-snmp/library/snmp_parse_args.h won't compile.

Version-Release number of selected component (if applicable):

net-snmp-devel-5.0.6-8.80.2

How reproducible:

Always

Steps to Reproduce:
1.  Write this simple c program and save as test.c:

#include <net-snmp/library/snmp_parse_args.h>

2. Compile with this command line:

gcc -I/usr/include -DENABLE_SNMP test.c -o test

3. Watch errors fly

Actual results:

[dale@gandalf dale]$ echo '#include <net-snmp/library/snmp_parse_args.h>' > test.c
[dale@gandalf dale]$ gcc test.c -o test
In file included from test.c:1:
/usr/include/net-snmp/library/snmp_parse_args.h:7: parse error before
"netsnmp_session"
/usr/include/net-snmp/library/snmp_parse_args.h:10: parse error before ')'
token/usr/include/net-snmp/library/snmp_parse_args.h:11: parse error before '*'
token/usr/include/net-snmp/library/snmp_parse_args.h:12: parse error before '*'
token

Expected results:

  A compiled "test" file.

Additional info:

  I have tried this with the snmp_parse_args.h (net-snmp-devel-5.0.6-9.i386.rpm)
 currently in Rawhide with the same results.

Comment 1 Phil Knirsch 2003-02-05 17:52:29 UTC
You need to do:

#include <net-snmp/config_api.h>

instead of only trying to include a single header file. Otherwise a lot of types
etc. are missing.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.